<ion-content #ionContent no-padding>
  <ion-refresher #refresher slot="fixed" (ionRefresh)="doRefresh()">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <ion-grid>
    <ion-row *ngFor="let event of events; let i = index" id="{{ i }}">
      <ion-col size="5" class="ion-align-self-center">
        <ion-text
          *ngIf="i % 2"
          [class.isTextChecked]="i <= element.state + 1"
          [class.isTextCurrent]="i === element.state + 1"
          [class.isTextLast]="i === element.state && element.state === 6"
          (click)="
            i <= element.state && !isLoading
              ? presentPopover($event, event)
              : null
          "
        >
          <h6 dir="rtl">
            <ion-icon
              *ngIf="i <= element.state"
              name="information-circle-outline"
              size="small"
            ></ion-icon>

            <div style="letter-spacing: 0px;">
              {{ event.name }}
            </div>
            <ion-icon
              *ngIf="i <= element.state"
              name="checkmark"
              color="success"
              size="small"
            ></ion-icon>
          </h6>
        </ion-text>
      </ion-col>
      <ion-col
        size="2"
        class="isIcon"
        [class.isIconChecked]="i <= element.state + 1"
        [class.isIconCurrent]="i === element.state + 1"
        [class.isIconLast]="i === element.state && element.state === 6"
        (click)="
          i <= element.state && !isLoading
            ? presentPopover($event, event)
            : null
        "
      >
        <ion-icon [name]="event.icon"></ion-icon>
      </ion-col>
      <ion-col size="5" class="ion-align-self-center">
        <ion-text
          *ngIf="!(i % 2)"
          [class.isTextChecked]="i <= element.state + 1"
          [class.isTextCurrent]="i === element.state + 1"
          [class.isTextLast]="i === element.state && element.state === 6"
          (click)="
            i <= element.state && !isLoading
              ? presentPopover($event, event)
              : null
          "
        >
          <h6>
            <ion-icon
              *ngIf="i <= element.state"
              name="information-circle-outline"
              size="small"
            ></ion-icon>
            <div style="letter-spacing: 0px;">
              {{ event.name }}
            </div>
            <ion-icon
              *ngIf="i <= element.state"
              name="checkmark"
              color="success"
              size="small"
            ></ion-icon>
          </h6>
        </ion-text>
      </ion-col>
      <ion-col
        size="2"
        offset="5"
        class="vertical-line-container"
        *ngIf="i !== events.length - 1"
      >
        <div
          class="vertical-line"
          [class.isVerticalChecked]="i <= element.state"
          [class.isVerticalCurrent]="i === element.state"
        ></div>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
